package com.gic.haoban.manage.service.entity.content;

import com.gic.haoban.manage.api.enums.content.TriggerCustomerChannelType;

import java.util.Date;
import java.io.Serializable;

/**
 * 互动记录明细(TabHaobanInteractRecord)实体类
 *
 * @author makejava
 * @since 2023-03-28 10:32:47
 */
public class TabHaobanInteractRecord implements Serializable {
    private static final long serialVersionUID = 518532274984830043L;

    private Long id;

    private String enterpriseId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 会员微信公众号id
     */
    private String unionId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 埋点traceId
     */
    private String traceId;
    /**
     * 销售线索-业务id
     */
    private String bizId;
    /**
     * 业务类型 1 素材
     */
    private Integer bizType;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 线索来源 1朋友圈; 2客户群; 3 对话框; 4 复制文案; 5 下载素材；6 潜客推荐
     * @see TriggerCustomerChannelType
     */
    private Integer channelSource;
    /**
     * 事件类型 1浏览素材;2浏览商品; 3 购买商品
     * @see com.gic.haoban.manage.api.enums.content.MaterialInteractRecordEventType
     */
    private Integer eventType;
    /**
     * 停留时长 单位秒
     */
    private Integer durationTime;
    /**
     * 第几次访问
     */
    private Integer times;
    /**
     * 状态 1 删除; 0正常
     */
    private Integer deleteFlag;
    /**
     * 扩展信息 查看的商品，关联的订单号
     */
    private String extendInfo;
    /**
     * 创建时间
     */
    private Date createTime;

    private Date updateTime;

    /**
     * 最新访问时间
     */
    private Date lastAccessTime;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getTraceId() {
        return traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public Integer getChannelSource() {
        return channelSource;
    }

    public void setChannelSource(Integer channelSource) {
        this.channelSource = channelSource;
    }

    public Integer getEventType() {
        return eventType;
    }

    public void setEventType(Integer eventType) {
        this.eventType = eventType;
    }

    public Integer getDurationTime() {
        return durationTime;
    }

    public void setDurationTime(Integer durationTime) {
        this.durationTime = durationTime;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getExtendInfo() {
        return extendInfo;
    }

    public void setExtendInfo(String extendInfo) {
        this.extendInfo = extendInfo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(Date lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }
}

